## List batches

Returns a paginated list of batches for the authenticated merchant, newest first.

Optionally filter by `type` to return only batches of that kind (for example `PAYMENT_LINK`).

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/list-batches HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  type: string?,
  per_page: number?,
  after: string?,
  before: string?,
}
```

Returns: object

## Request arguments

### `type` (string)

_Optional_. Filter by batch type. When omitted, all batch types are returned.

Allowed values:

- `PAYMENT_LINK`
- `PAYOUT`

### `per_page` (number)

_Optional_. Number of batches to return per page (default: 25)

### `after` (string)

_Optional_. Cursor for pagination - return batches created before this batch ID

### `before` (string)

_Optional_. Cursor for pagination - return batches created after this batch ID

## Response attributes

### `previous` (object)

_Nullable_. Cursor for the previous page. Contains 'before' (ID) and 'per_page' (page size) parameters. Use these values in the 'before' and 'per_page' parameters of the next request to get the previous page.

### `page` (array<object.batch>)

**Always present**. The current page of records, ordered by creation date (newest first).

### `next` (object)

_Nullable_. Cursor for the next page. Contains 'after' (ID) and 'per_page' (page size) parameters. Use these values in the 'after' and 'per_page' parameters of the next request to get the next page.

## Batch attributes

### `batch_id` (string)

**Always present**. The unique identifier of the batch.

### `type` (string)

**Always present**. The type of records in this batch.

Possible values:

- `PAYMENT_LINK`
- `PAYOUT`

### `status` (string)

**Always present**. The current processing status of the batch.

Possible values:

- `CREATED`
- `PREPARING`
- `PREPARED`
- `PROCESSING`
- `COMPLETED`

### `output_url` (string)

_Nullable_. The URL to download the result xlsx file. Present when the batch has completed.

### `preview_url` (string)

_Nullable_. The URL to download the validated drafts JSON. Included after prepare has completed.

### `error_message` (string)

_Nullable_. The failure reason when prepare or processing did not complete. Included when a background job failed.

### `created_at` (number)

**Always present**. The timestamp when the batch was created.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
